@tailwind base;
@tailwind components;
@tailwind utilities;

:root {
    --foreground-rgb: 0, 25, 40;
    --background-rgb: 255, 255, 255;
}

@media only screen and (max-width: 1024px) {
    .hideable {
        display: none;
    }

    .id {
        width: 10%;
    }

    .email {
        max-width: 60%;
    }

    .role {
        width: 19%;
    }

    .save {
        width: 15%;
    }

    .delete {
        width: 20%;
    }
}

.email {
    white-space: pre-wrap;
    word-wrap: break-word;
}

.link {
    @apply text-blue-600 hover:text-blue-800 underline
}

body {
    min-height: 100%;
    min-width: 100%;
    color: rgb(var(--foreground-rgb));
    background: rgb(var(--background-start-rgb)) linear-gradient(
            to bottom,
            transparent,
            rgb(var(--background-end-rgb))
    ) no-repeat fixed;
    background-size: cover;
}

.separator {
    display: flex;
    align-items: center;
    text-align: center;
}

.separator::before,
.separator::after {
    content: '';
    flex: 1;
    border-bottom: 1px solid #000;
}

.separator:not(:empty)::before {
    margin-right: .25em;
}

.separator:not(:empty)::after {
    margin-left: .25em;
}

table {
    table-layout: fixed;
    border-collapse: collapse;
    border-spacing: 2vh 1vh;
}

th {
    min-width: 45px;
    text-align: left;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    @apply md:px-4
}

tbody tr {
    /*border-top: 1px solid lightgrey;*/
    @apply border-t border-gray-800
}


td {
    word-wrap: break-word;
    max-width: 30vh;
    @apply py-2 md:px-4
}

.container {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
}

.centeredText {
    text-align: center;
}

.image-btn {
    background: none;
    border: none;
    padding: 0;
}

.image-btn img {
    display: block; /* to remove extra space below image */
}